### Method

# Gtk CssProvider load_named

#### Declaration [src]

    void
    gtk_css_provider_load_named (
      GtkCssProvider* provider,
      const char* name,
      const char* variant
    )

#### Description [src]

Loads a theme from the usual theme paths.

The actual process of finding the theme might change between releases, but it is guaranteed that this function uses the same mechanism to load the theme that GTK uses for loading its own theme.

#### Parameters

`name` | `const char*`
| A theme name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`variant` | `const char*`
| Variant to load, for example, “dark”, or `NULL` for the default.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.